Download it now!
Bug 130370 - calc: editing: ui: weakness with named ranges, move of cell to another sheet destroys referencing to local name reference there
Summary: calc: editing: ui: weakness with named ranges, move of cell to another sheet ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:7.0.0 target:6.4.2 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-02 23:03 UTC by b.
Modified: 2020-03-18 20:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description b. 2020-02-02 23:03:51 UTC
Description:
@Xisco: sorry, i was asked bei Eike to open a new bug, pls. do not! close as dup of #81330. 

the sheet attached to #81330: 

https://bugs.documentfoundation.org/attachment.cgi?id=102780

shows more weaknesses, no. 1: 

in the attachement the move of sheet2.B1 to sheet3.B1 destroys the referencing to 'value' (which points to sheet3.B2) in cell sheet3.B3, after the move of B1 sheet3.B3 shows =#NAME? with ver. 6.4.03. unpar. and ver. 7.0.0.0.alpha1+ 

retyping '=value' in sheet3.B3 helps out, hard recalc doesn't 

additional amendments: 

in the comments at #81330 and in the procedure described in the sheet are some errors? the description given into the attachement suggests copying of B2, imho it was intendedto refer to B1, it's advised to 'copy' B2, imho it was intended to move B1?

if above problems are covered elsewhere feel free to ad a comment pointing there and close this bug,

reg. 

b. 

Steps to Reproduce:
see referenced sheet and comments above

Actual Results:
cell sheet3.B3 switching to =#NAME? on move of sheet2.B1 to sheet3.B1

Expected Results:
cell sheet3.B3 holding it-äs reference to 'value' (cell sheet3.B2)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc:
Comment 1 Xisco Faulí 2020-02-17 13:17:31 UTC
I can reproduce it in

Version: 7.0.0.0.alpha0+
Build ID: 28d844a589e52abfe62dc66b888e78665221ba28
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Steps to reproduce:

1. Open https://bugs.documentfoundation.org/attachment.cgi?id=102780
2. Cut B1 in sheet 2
3. Paste it to B1 in sheet 3

-> B3 changes to =#NAME?
Comment 2 Xisco Faulí 2020-02-17 13:27:37 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d3645961d98ce9f0cfb1ef7f0aba7bf020b90945

author	Eike Rathke <erack@redhat.com>	2016-10-12 19:47:44 +0200
committer	Eike Rathke <erack@redhat.com>	2016-10-12 19:48:55 +0200
commit	d3645961d98ce9f0cfb1ef7f0aba7bf020b90945 (patch)
tree	1c8abea94008f8a14b4da8b9fb3a73489a3f71d3
parent	c76f90da1c54cd497c6dce6bdaeeb919f2cbe82b (diff)
create NoName error token instead of setting error at the token array

Bisected with: bibisect-linux-64-5.3
 
Adding Cc: to Eike Rathke
Comment 3 Commit Notification 2020-02-18 12:59:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/180fef2a54207555c39fb63ead5e66ba3a71a0cf

Resolves: tdf#130370 Increment sheet-local name only for moved cells

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2020-02-18 13:03:21 UTC
The bisected commit isn't the culprit but revealed an existing bad handling elsewhere.
Comment 5 Eike Rathke 2020-02-18 13:03:49 UTC
Pending review https://gerrit.libreoffice.org/c/core/+/88946 for 6-4
Comment 6 Commit Notification 2020-02-18 15:48:53 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0c6bf98cd94307ef7b0896e6643be6161691f9c9

Related: tdf#130370 Let cut&paste/move of a sheet-local name reference ...

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-02-19 10:12:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/bef90981e3f9f9dc3e4731c5bcbab315e52b9baf

Resolves: tdf#130370 Do not increment sheet-local name on cut&paste / move

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-02-19 17:16:00 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: bc994a4b01cf61444452bb377010c7c4cc377698
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Eike, thanks for fixing this issue!
Comment 9 Commit Notification 2020-02-25 00:41:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4e5f875cdb81a1c1ca881ef8c90a63c2afd2ba78

Unit test tdf#130370 cut&paste / move with sheet-local named reference

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-03-11 14:15:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/461824307d2ee701f3026f75a9ee5a7865cd6e7a

Resolves: tdf#130370 Do not increment sheet-local name on cut&paste / move

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 b. 2020-03-18 20:31:40 UTC
it's better in actual 7.0.0.0.a0+ master, thanks,